| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Variables
conf Namespace Reference

## Variables
str | project = 'UHD'
str | copyright = '2022, Ettus Research, an NI Brand'
str | author = 'Ettus Research, an NI Brand'
str | version = ''
str | release = ''
list | extensions
list | templates_path = ['_templates']
str | source_suffix = '.rst'
str | master_doc = 'index'
str | language = 'en'
list | exclude_patterns = []
| pygments_style = None
str | html_theme = 'alabaster'
str | htmlhelp_basename = 'UHDdoc'
dict | latex_elements
list | latex_documents
list | man_pages
list | texinfo_documents
str | epub_title = project
list | epub_exclude_files = ['search.html']
str | _doxy_dir = '../build_doxygen'
| Now we cheat Sphinx by running Doxygen instead.
| shell
list | html_extra_path = [f'{_doxy_dir}/docs/doxygen/html']

## Variable Documentation

## ◆ _doxy_dir

str conf._doxy_dir = '../build_doxygen'
| protected

Now we cheat Sphinx by running Doxygen instead.

This will overwrite the Sphinx output with the Doxygen output.

## ◆ author

str conf.author = 'Ettus Research, an NI Brand'

## ◆ copyright

str conf.copyright = '2022, Ettus Research, an NI Brand'

## ◆ epub_exclude_files

list conf.epub_exclude_files = ['search.html']

## ◆ epub_title

str conf.epub_title = project

## ◆ exclude_patterns

list conf.exclude_patterns = []

## ◆ extensions

list conf.extensions

Initial value:
1= [
2]

## ◆ html_extra_path

list conf.html_extra_path = [f'{_doxy_dir}/docs/doxygen/html']

## ◆ html_theme

str conf.html_theme = 'alabaster'

## ◆ htmlhelp_basename

str conf.htmlhelp_basename = 'UHDdoc'

## ◆ language

str conf.language = 'en'

## ◆ latex_documents

list conf.latex_documents

Initial value:
1= [
2 (master_doc, 'UHD.tex', 'UHD Documentation',
3 'Ettus Research, an NI Brand', 'manual'),
4]

## ◆ latex_elements

dict conf.latex_elements

Initial value:
1= {
2 # The paper size ('letterpaper' or 'a4paper').
3 #
4 # 'papersize': 'letterpaper',
5
6 # The font size ('10pt', '11pt' or '12pt').
7 #
8 # 'pointsize': '10pt',
9
10 # Additional stuff for the LaTeX preamble.
11 #
12 # 'preamble': '',
13
14 # Latex figure (float) alignment
15 #
16 # 'figure_align': 'htbp',
17}

## ◆ man_pages

list conf.man_pages

Initial value:
1= [
2 (master_doc, 'uhd', 'UHD Documentation',
3 [author], 1)
4]

## ◆ master_doc

str conf.master_doc = 'index'

## ◆ project

str conf.project = 'UHD'

## ◆ pygments_style

conf.pygments_style = None

## ◆ release

str conf.release = ''

## ◆ shell

conf.shell

## ◆ source_suffix

str conf.source_suffix = '.rst'

## ◆ templates_path

list conf.templates_path = ['_templates']

## ◆ texinfo_documents

list conf.texinfo_documents

Initial value:
1= [
2 (master_doc, 'UHD', 'UHD Documentation',
3 author, 'UHD', 'One line description of project.',
4 'Miscellaneous'),
5]

## ◆ version

str conf.version = ''